// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.12.4
// source: bus/notification-document.proto

package bus

import (
	common "gitlab.com/shadowy/sei/email/go-email-proto/common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type NotificationDocument struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DocID          string          `protobuf:"bytes,1,opt,name=docID,proto3" json:"docID,omitempty"`
	Email          string          `protobuf:"bytes,2,opt,name=email,proto3" json:"email,omitempty"`
	UserID         string          `protobuf:"bytes,3,opt,name=userID,proto3" json:"userID,omitempty"`
	FirstName      string          `protobuf:"bytes,4,opt,name=firstName,proto3" json:"firstName,omitempty"`
	LastName       string          `protobuf:"bytes,5,opt,name=lastName,proto3" json:"lastName,omitempty"`
	PatronymicName string          `protobuf:"bytes,6,opt,name=patronymicName,proto3" json:"patronymicName,omitempty"`
	From           *common.Company `protobuf:"bytes,10,opt,name=from,proto3" json:"from,omitempty"`
	To             *common.Company `protobuf:"bytes,11,opt,name=to,proto3" json:"to,omitempty"`
}

func (x *NotificationDocument) Reset() {
	*x = NotificationDocument{}
	if protoimpl.UnsafeEnabled {
		mi := &file_bus_notification_document_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NotificationDocument) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NotificationDocument) ProtoMessage() {}

func (x *NotificationDocument) ProtoReflect() protoreflect.Message {
	mi := &file_bus_notification_document_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NotificationDocument.ProtoReflect.Descriptor instead.
func (*NotificationDocument) Descriptor() ([]byte, []int) {
	return file_bus_notification_document_proto_rawDescGZIP(), []int{0}
}

func (x *NotificationDocument) GetDocID() string {
	if x != nil {
		return x.DocID
	}
	return ""
}

func (x *NotificationDocument) GetEmail() string {
	if x != nil {
		return x.Email
	}
	return ""
}

func (x *NotificationDocument) GetUserID() string {
	if x != nil {
		return x.UserID
	}
	return ""
}

func (x *NotificationDocument) GetFirstName() string {
	if x != nil {
		return x.FirstName
	}
	return ""
}

func (x *NotificationDocument) GetLastName() string {
	if x != nil {
		return x.LastName
	}
	return ""
}

func (x *NotificationDocument) GetPatronymicName() string {
	if x != nil {
		return x.PatronymicName
	}
	return ""
}

func (x *NotificationDocument) GetFrom() *common.Company {
	if x != nil {
		return x.From
	}
	return nil
}

func (x *NotificationDocument) GetTo() *common.Company {
	if x != nil {
		return x.To
	}
	return nil
}

var File_bus_notification_document_proto protoreflect.FileDescriptor

var file_bus_notification_document_proto_rawDesc = []byte{
	0x0a, 0x1f, 0x62, 0x75, 0x73, 0x2f, 0x6e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x2d, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x03, 0x62, 0x75, 0x73, 0x1a, 0x14, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x63,
	0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x82, 0x02, 0x0a,
	0x14, 0x4e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x44, 0x6f, 0x63,
	0x75, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x14, 0x0a, 0x05, 0x64, 0x6f, 0x63, 0x49, 0x44, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x64, 0x6f, 0x63, 0x49, 0x44, 0x12, 0x14, 0x0a, 0x05, 0x65,
	0x6d, 0x61, 0x69, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x65, 0x6d, 0x61, 0x69,
	0x6c, 0x12, 0x16, 0x0a, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x44, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x44, 0x12, 0x1c, 0x0a, 0x09, 0x66, 0x69, 0x72,
	0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x66, 0x69,
	0x72, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x6c, 0x61, 0x73, 0x74, 0x4e,
	0x61, 0x6d, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x6c, 0x61, 0x73, 0x74, 0x4e,
	0x61, 0x6d, 0x65, 0x12, 0x26, 0x0a, 0x0e, 0x70, 0x61, 0x74, 0x72, 0x6f, 0x6e, 0x79, 0x6d, 0x69,
	0x63, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x70, 0x61, 0x74,
	0x72, 0x6f, 0x6e, 0x79, 0x6d, 0x69, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x23, 0x0a, 0x04, 0x66,
	0x72, 0x6f, 0x6d, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x52, 0x04, 0x66, 0x72, 0x6f, 0x6d,
	0x12, 0x1f, 0x0a, 0x02, 0x74, 0x6f, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x52, 0x02, 0x74,
	0x6f, 0x42, 0x64, 0x0a, 0x07, 0x63, 0x6f, 0x6d, 0x2e, 0x62, 0x75, 0x73, 0x42, 0x14, 0x4e, 0x6f,
	0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65,
	0x6e, 0x74, 0x50, 0x01, 0x5a, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d,
	0x2f, 0x73, 0x68, 0x61, 0x64, 0x6f, 0x77, 0x79, 0x2f, 0x73, 0x65, 0x69, 0x2f, 0x65, 0x6d, 0x61,
	0x69, 0x6c, 0x2f, 0x67, 0x6f, 0x2d, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x2d, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x2f, 0x62, 0x75, 0x73, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x03, 0x42, 0x75,
	0x73, 0xca, 0x02, 0x03, 0x42, 0x75, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_bus_notification_document_proto_rawDescOnce sync.Once
	file_bus_notification_document_proto_rawDescData = file_bus_notification_document_proto_rawDesc
)

func file_bus_notification_document_proto_rawDescGZIP() []byte {
	file_bus_notification_document_proto_rawDescOnce.Do(func() {
		file_bus_notification_document_proto_rawDescData = protoimpl.X.CompressGZIP(file_bus_notification_document_proto_rawDescData)
	})
	return file_bus_notification_document_proto_rawDescData
}

var file_bus_notification_document_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_bus_notification_document_proto_goTypes = []interface{}{
	(*NotificationDocument)(nil), // 0: bus.NotificationDocument
	(*common.Company)(nil),       // 1: common.Company
}
var file_bus_notification_document_proto_depIdxs = []int32{
	1, // 0: bus.NotificationDocument.from:type_name -> common.Company
	1, // 1: bus.NotificationDocument.to:type_name -> common.Company
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_bus_notification_document_proto_init() }
func file_bus_notification_document_proto_init() {
	if File_bus_notification_document_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_bus_notification_document_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NotificationDocument); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_bus_notification_document_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_bus_notification_document_proto_goTypes,
		DependencyIndexes: file_bus_notification_document_proto_depIdxs,
		MessageInfos:      file_bus_notification_document_proto_msgTypes,
	}.Build()
	File_bus_notification_document_proto = out.File
	file_bus_notification_document_proto_rawDesc = nil
	file_bus_notification_document_proto_goTypes = nil
	file_bus_notification_document_proto_depIdxs = nil
}
